From b1ea3107e4c2e94fd39486576f5b4ad02b064df2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 21:28:42 +0000
Subject: [PATCH 773/2232] Add note about buck project.ignore setting


---

diff --git a/.buckconfig b/.buckconfig
index fc837a1..6a4626f 100644
--- a/.buckconfig
+++ b/.buckconfig
@@ -3,6 +3,10 @@
   # publish` and `cargo vendor` so this allow_symlinks setting should not be
   # required downstream.
   allow_symlinks = allow
+
+  # Hide BUCK files under target/package/ from `buck build ...`. Otherwise:
+  #   $ buck build ...
+  #   //target/package/cxx-0.3.0/tests:ffi references non-existing file or directory 'target/package/cxx-0.3.0/tests/ffi/lib.rs'
   ignore = target
 
 [cxx]

